r17480 - in /desktop/experimental/ekiga/debian: changelog patches/00list patches/news.dpatch patches/windowclosing.dpatch rules

dedu-guest at users.alioth.debian.org dedu-guest at users.alioth.debian.org
Wed Nov 12 09:36:19 UTC 2008


Author: dedu-guest
Date: Wed Nov 12 09:36:19 2008
New Revision: 17480

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=17480
Log:
Add our own changelog file in /usr/share/doc + fix get-orig-source.

Added:
    desktop/experimental/ekiga/debian/patches/news.dpatch
Removed:
    desktop/experimental/ekiga/debian/patches/windowclosing.dpatch
Modified:
    desktop/experimental/ekiga/debian/changelog
    desktop/experimental/ekiga/debian/patches/00list
    desktop/experimental/ekiga/debian/rules

Modified: desktop/experimental/ekiga/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/ekiga/debian/changelog?rev=17480&op=diff
==============================================================================
--- desktop/experimental/ekiga/debian/changelog (original)
+++ desktop/experimental/ekiga/debian/changelog Wed Nov 12 09:36:19 2008
@@ -1,6 +1,7 @@
 ekiga (3.0.1-1) experimental; urgency=low
 
   * New version.  (Closes: #500089).
+  * Add our own changelog file in /usr/share/doc.
   * Remove gnomemeeting transitional package.
   * Discover new interfaces.  (Closes: #488199).
   * Compile with dbus support.  (Closes: #467212).

Modified: desktop/experimental/ekiga/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/ekiga/debian/patches/00list?rev=17480&op=diff
==============================================================================
--- desktop/experimental/ekiga/debian/patches/00list (original)
+++ desktop/experimental/ekiga/debian/patches/00list Wed Nov 12 09:36:19 2008
@@ -1,1 +1,1 @@
-windowclosing
+news

Added: desktop/experimental/ekiga/debian/patches/news.dpatch
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/ekiga/debian/patches/news.dpatch?rev=17480&op=file
==============================================================================
--- desktop/experimental/ekiga/debian/patches/news.dpatch (added)
+++ desktop/experimental/ekiga/debian/patches/news.dpatch Wed Nov 12 09:36:19 2008
@@ -1,0 +1,128 @@
+#! /bin/sh -e
+## version.dpatch by Eugen Dedu
+##
+## DP: fix NEWS file
+ 
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+ 
+case "$1" in
+        -patch) patch $patch_opts -p1 < $0;;
+        -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+ 
+exit 0
+ at DPATCH@
+diff -urNad ekiga.old/src/gui/callbacks.cpp ekiga/src/gui/callbacks.cpp
+--- ekiga.old/NEWS  2008-06-11 19:34:13.000000000 +0200
++++ ekiga/NEWS       2008-06-11 19:34:44.000000000 +0200
+@@ -1,15 +1,86 @@
+-Changes since Ekiga 3.00
+-- Windows: use theora 1.0rc1 and speex 1.2rc1, fixes crash when echo cancellation is active
+-- Windows: do not use GTK runtime package, bring our own libraries instead.
+-- Fix crash on windows when using vsnprintf with a format string = NULL. Happend when clicking the statusline.
+-- Fix crash on windows when the only available accelerated surface is already taken.
+-- Fix playing of audio files with samplerate != 8000Hz on windows (#555832).
+-- Fix overlapping issue of font/smiley buttons (#554529) (Jan Schampera)
+-- Fix flickering issues on XV due to the X Server's strange bookkeeping of used ports.
+-- Keep the preview thread for the lifetime of Ekiga. Windows does not like rapid deletion and recreation of threads.
+-- Fix flickering of PIP on windows.
+-- Fix possible X timing issue
+-- Fix message box when device was unplugged in out-of-call state (#552262)
+-- Fix handling when closing addressbook- and chat-window using the window frame (Jan Schampera)
++                          -*- mode: outline -*-
++* Changes in ekiga 3.0.1 (2008-10-20)
++** Windows build
++- Fixed crash when echo cancellation is active
++- Improved GTK installation by providing our own libraries
++- Fixed crash when clicking the status bar
++- Fixed crash when the only available accelerated surface is already taken
++- Fixed playing of audio files with samplerate != 8000Hz
++- Fixed possible crash when quickly deleting and creating threads
++- Fixed flickering in Picture-in-Picture mode
++** GUI
++- Fixed overlapping issue of font/smiley buttons in the chat window
++- Fixed possible flickering issues on XV
++- Fixed possible X timing issue
++- Fixed message box when device is unplugged in out-of-call state
++- Fixed crash when closing various windows using the window manager
++- Fixed crash in the configuration assistant when unplugging the active device
++- Do not display localhost users in the neighbours
++- Fixed Ekiga not able to resolve DNS names when being used with a
++  Turkish locale
++- Allow using '&' as name in the roster
++- Fixed 'Search Scope' field alignment in the form
++** SIP
++- Fixed behavior in case of Open NAT
++- Fixed SIP REGISTER and INVITE behaviors when Ekiga listens to
++  multiple interfaces in the same subnet
++- Fixed response code when receiving a BYE for a call that is already released
++- Fixed numerous retries using the same authentication credentials
++- Fixed interoperability issues with Cisco Call Manager
++- Fixed default status when receiving a NOTIFY with an empty body to
++  offline instead of unknown
++- Fixed parsing of URIs quoted with <> but without ""
++- Fixed INVITE loop detection when forked INVITE requets arrive over
++  multiple paths
++** H.323
++- Fixed inclusion of RFC2833 using H.323
++** Misc
++- Made the libnotify dependancy optional
++- Fixed POTFILE.in file
+ 
+-Ekiga 3.00
++* Major changes in ekiga 3.0.0 (2008-09-23)
++** Graphical User Interface
++- New user interface with a buddy list
++- Accelerated video display (Unix: XVideo, Windows: DirectDraw)
++- Nice incoming call notifications
++- Easier configuration assistant
++- New quality meter in the status bar
++- Buddy list with extended status information
++- Displays network neighbours in the buddy list
++- Better keyboard shortcuts
++- Automatic account completion in the URL bar
++- New chat window
++- New address book supporting Evolution contacts, LDAP contacts and more
++- New account window allowing easier account creation
++- New call panel
++** Codecs
++- H.263+
++- H.264
++- THEORA
++- MPEG4
++- Framerate up to 30 FPS
++- Resolutions (up to 704x576) (at best it is DVD quality)
++- Audio and video codecs as plugins
++- Support for Intel IPP codecs
++** SIP Support
++- SIP/SIMPLE presence support
++- Line monitoring with software like Asterisk
++- Custom presence message support
++- Dynamic detection of network interfaces
++- Register/unregister accounts on interfaces going up and down
++- Better NAT traversal
++- SIP requests originated from a unique port
++- Support for several network interfaces at the same time (e.g. VPN
++  and normal network)
++- Full SIP capabilties exchange for codecs (unique in the Open Source world)
++- SIP INFO DTMF support
++- Possibility to send SMS using the Ekiga Call Out account
++- Many compliance fixes
++** Hotplug Support
++- Hotplug support for audio and video devices (even when being in a call)
++- Hotplug support for network interfaces
++** For Developers and Packagers
++- Brand new Ekiga Engine, fully separated from the GUI and reusable in
++  other projects
++- Reworked WIN32 build
++- Better autoconf support for OPAL
+\ No newline at end of file

Modified: desktop/experimental/ekiga/debian/rules
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/ekiga/debian/rules?rev=17480&op=diff
==============================================================================
--- desktop/experimental/ekiga/debian/rules (original)
+++ desktop/experimental/ekiga/debian/rules Wed Nov 12 09:36:19 2008
@@ -15,6 +15,12 @@
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
+
+DEBVERSION := $(shell head -n 1 debian/changelog \
+                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
+UPVERSION := $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg[0-9]*$$//')
+UPFILENAME := ekiga_$(UPVERSION).orig.tar.gz
+URL := http://ftp.gnome.org/pub/gnome/sources/ekiga/3.0/ekiga-$(UPVERSION).tar.gz
 
 DISABLE_UPDATE_UPLOADERS := 1
 include /usr/share/dpatch/dpatch.make
@@ -115,7 +121,7 @@
 	dh_install
 	dh_installmenu
 	dh_installman -A -Nekiga-dbg man/ekiga.1 debian/ekiga-config-tool.1
-	dh_installchangelogs -Nekiga-dbg ChangeLog
+	dh_installchangelogs -Nekiga-dbg NEWS
 	mkdir -p debian/ekiga-dbg/usr/share/doc
 	ln -s ekiga debian/ekiga-dbg/usr/share/doc/ekiga-dbg
 	dh_scrollkeeper
@@ -133,8 +139,8 @@
 get-orig-source:
 	@@dh_testdir
 	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
-	@@echo Downloading 3.0 ...
-	@@wget -N -nv -T10 -t3 -O ../tarballs/ekiga_3.0.0.orig.tar.gz http://ftp.gnome.org/pub/gnome/sources/ekiga/3.0/ekiga-3.0.0.tar.gz
+	@@echo Downloading $(UPVERSION) ...
+	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
 	@@echo Ready for packaging.
 
 binary: binary-indep binary-arch




More information about the pkg-gnome-commits mailing list